# nng_http_req_set_method(3http) Manual Page

## NAME

nng_http_req_set_method - set HTTP request method

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>

    int nng_http_req_set_method(nng_http_req *req, const char *method);

## DESCRIPTION

The `nng_http_req_set_method()` sets the HTTP method associated with the request req to method. The method must be a string, such as "GET" or "POST", and the HTTP specifications indicate that it must be upper case.

The default value method for newly allocated requests is "GET".

A local copy of the method is made in the request req.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory to perform the operation.
`NNG_ENOTSUP` | No support for HTTP in the library.

## SEE ALSO

nng_http_req_alloc(3http), nng_http_req_get_method(3http), nng(7)